{ config, lib, pkgs, user, ... }:

{
  programs.tmux = {
    enable = true;
    newSession = true;
    keyMode = "vi";
    escapeTime = 10;
    terminal = "tmux-256color";

    extraConfig = ''
      set-option -g status off
    '';

    plugins = with pkgs.tmuxPlugins; [
      vim-tmux-navigator
      tmux-colors-solarized
    ];
  };
}
