{ config, lib, pkgs, user, ... }:

{
  programs.zsh = {
    enable = true;
    enableSyntaxHighlighting = true;
    history.size = 10000;

    oh-my-zsh = {
      enable = true;
      plugins = [ "direnv" "tmux" "vi-mode" ];
    };

    localVariables = {
      ZSH_TMUX_AUTOSTART = true;
      ZSH_TMUX_AUTOCONNECT = true;
      ZSH_TMUX_UNICODE = true;
    };
  };
}
